Show service ETA¶
Use /services/{serviceId}/ETA to retrieve the estimated time of arrival (ETA) for your service to occur. The ETA information includes information on when your service is expected or if it has been completed. If we were unable to complete your service, you will also see detailed information on any problems that occurred when we attempted to service your container.
To get serviceId to include in the request see, List services api
URI¶
GET /api/v1/customers/{customerId}/services/{serviceID}/ETA
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
| serviceId | Y | Number | path | Unique Service Identifier |
| requestDate | Y | Number | query | Request date in yyyy-MM-dd format |
| ticketNumber | N | Number | query | ticketNumber if any associated with service. Mandatory for Roll-Off customers |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique identifier for each request |
| ETA | Object | The ETA details |
| day_of_week_name | String | Message which says if pickup is scheduled for today ot tomorrow |
| from | String | ETA start Time in UTC |
| to | String | ETA End Time in UTC |
| reason_code | String | 'ComputedETA' if ETA is computed successfuly else exception reason |
| reason_text | String | Description for reason_code |
| serviced_date_time | String | Date and time of trash pickup |
| route_id | String | Route for which service is assigned |
Tip
For information about how to test, see How To Test
Sample Request:¶
http://api.wm.com/v1/customers/123456789/services/000000002/ETA?requestDate=2017-01-16
Sample Response¶
{ "ETA": { "day_of_week_name": "You are scheduled to be serviced today", "from": "06: 38: 00.0", "to": "09: 38: 00.0", "reason_code": "ComputedETA", "reason_text": "Service-ETAComputed", "route_id": "H2BG" }, "request_tracking_id": "434234"}